%define xtag X11R7.3
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libfontenc runtime library
Name: 		libfontenc
Version: 	1.0.4
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	http://xorg.freedesktop.org/release/individual/lib/%{name}-%{version}.tar.bz2
Patch0: 	libfontenc-1.0.0-get-fontdir-from-pkgconfig.patch

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	zlib-devel
# FIXME: temporarily require autoconf for workaround
BuildRequires: 	autoconf

Obsoletes: 	xorg-libs

%description
X.Org X11 libfontenc runtime library

%package devel
Summary: 	X.Org X11 libfontenc development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libfontenc development package

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .get-fontdir-from-pkgconfig

# Disable static library creation by default.
%define with_static 0

%build
# FIXME: libfontenc-0.99.2-use-datadir-for-encodings.patch requires that
# aclocal, automake, and autoconf get invoked to activate the changes.
# These can be removed once the patch is no longer necessary.
#aclocal
#automake
autoconf
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove all libtool archives (*.la)
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libfontenc.so.1
%{_libdir}/libfontenc.so.1.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/fontenc.h
%if %{with_static}
%{_libdir}/libfontenc.a
%endif
%{_libdir}/libfontenc.so
%{_libdir}/pkgconfig/fontenc.pc

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
